import App from './App'
import store from './store'
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

//  将工具函数挂载到原型上面去
import { showToast,loading } from '@/utils/index'
Vue.prototype.$showToast = showToast
Vue.prototype.$loading = loading

//  将本地存储的函数挂载到this上面去
import Cache from '@/utils/cache.js'
Vue.prototype.$cache = Cache

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app,
	store
  }
}
// #endif